@echo off
REM rugxulo _AT_ gmail _DOT_ com
REM http://rugxulo.googlepages.com

echo.
echo Don't use this patch except on FreeDOS, use makefile.djgpp instead!
echo.

if not exist p7zip_4.61\nul goto end
cd p7zip_4.61
if exist rugxulo.patch set P1=rugxulo.patch
if exist ..\rugxulo.patch set P1=..\rugxulo.patch
patch -p1 < %P1%
set P1=
copy /b makefile.freedos makefile.machine
if exist c:\armslurp\temp\watt32\nul set WATT_ROOT=c:\armslurp\temp\watt32
echo.
echo Type "make [7za | 7zr | sfx]" and go brew some coffee!!
echo.
:end
